Package: org.codehaus.groovy.grails.commons.metaclass

## [Java] Class InvocationCallback

- org.codehaus.groovy.grails.commons.metaclass.InvocationCallback

- Authors:
    Steven Devijver

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `getInvoker()`
    `boolean` | `isInvoked()`
    `void` | `markInvoked()`
    `void` | `setInvoker(java.lang.Object newInvoker)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public java.lang.Object getInvoker()

    - #### public boolean isInvoked()

    - #### public void markInvoked()

    - #### public void setInvoker(java.lang.Object newInvoker)